%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:                nodejs-argparse
Version:             1.0.9
Release:             1
Summary:             A native port of Python's argparse, an options parsing library
License:             MIT
URL:                 https://github.com/nodeca/argparse
Source0:             https://github.com/nodeca/argparse/archive/%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(mocha) npm(underscore) npm(underscore.string) npm(sprintf-js)
%endif
%description
This is a native port of Python's argparse, an options parsing library.
It's a full port, except some very rare options. Method names have been
changed to CamelCase.

%prep
%autosetup -n argparse-%{version}
%nodejs_fixdep sprintf-js '1.x'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/argparse
cp -pr package.json *.js lib/ \
    %{buildroot}%{nodejs_sitelib}/argparse
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{nodejs_sitelib}/mocha/bin/mocha -R spec
%endif

%files
%doc CHANGELOG.md README.md examples/
%license LICENSE
%{nodejs_sitelib}/argparse

%changelog
* Mon Aug 24 2020 huanghaitao <huanghaitao8@huawei.com> - 1.0.9-1
- package init
